package com.microservices.wiki.refactoring.enums;

public enum  ResponseEnum {
    NOT_FOUND("404", "资源不存在"),
    BAD_REQUEST("400", "请求失败"),
    SYS_ERROR("999", "系统错误"),
    FORBIDDEN("403", "权限不足");

    private String key;
    private String value;

    private ResponseEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {
        return this.key;
    }

    public String getValue() {
        return this.value;
    }
}
